This system is not registered with an entitlement server. You can use subscription-manager to register

php
v7
subscription

(Lakshman Kamble) #1

Hey Hi!

first of all sorry for my bad english,

i am getting this error since updating netserver from 7.3 to 7.4

“This system is not registered with an entitlement server. You can use subscription-manager to register.”

anyone can can help me please, & secondly i wan to upgrade my php from 5.4 to atleast 5.6 , as i would like to install snipe IT on my server.
due to php version i am not able installed the same.

as googled i found this link “Nethserver-php-scl for NS7 needs testers” go through it & done the needful.
but when i check php verion it showing me “PHP 5.4.16 (cli) (built: Apr 12 2018 19:02:01)
Copyright © 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright © 1998-2013 Zend Technologies”

please can anyone help me

regards

lakshman


(Markus Neuberger) #2

Hi Lakshman,

welcome to NethServer Community!

I had this on an old server too. Did you use a subscription?

Edit /etc/yum/pluginconf.d/subscription-manager.conf and set enabled to 0:

enabled=0

You may use a virtual host. You may set another PHP version for that virtual host:

https://wiki.nethserver.org/doku.php?id=php-scl

http://docs.nethserver.org/en/v7/virtual_hosts.html